guacenc(1)

NAME
guacenc - Guacamole video encoder

SYNOPSIS
guacenc [-s WIDTHxHEIGHT] [-r BITRATE] [-f] [FILE]...

DESCRIPTION
guacenc is a video encoder which accepts Guacamole protocol dumps, such as those saved when screen recording is enabled on a Guacamole connection, writing standard video files as output. guacenc is essentially an implementation of a Guacamole client which accepts its input from files instead of a network connection, and renders directly to video instead of to the user's screen.

Each FILE specified will be encoded as MPEG-4 video to a new file named FILE.m4v, encoded according to the other options specified. By default, the output video will be 640x480 pixels, and will be saved with a bitrate of 2000000 bits per second (2 Mbps). These defaults can be overridden with the -s and -r options respectively. Existing files will not be overwritten; the encoding process for any input file will be aborted if it would result in overwriting an existing file.

Guacamole acquires a write lock on recordings as they are being written. By default, guacenc will check whether the each input file is locked and will refuse to read and encode an input file if it appears to be an in-progress recording. This behavior can be overridden by specifying the -f option. Encoding an in-progress recording will still result in a valid video; the video will simply cover the user's session only up to the current point in time.

OPTIONS

-s WIDTHxHEIGHT
    Changes the resolution of the video that guacenc renders. By default, this will be 640x480.

-r BITRATE
    Changes the bitrate that guacenc will use for the saved video. This is specified in bits per second. By default, this will be 2000000 (2 Mbps). Higher values will result in larger but higher-quality video files. Lower values will result in smaller but lower-quality video files.

-f  Overrides the default behavior of guacenc such that input files will be encoded even if they appear to be recordings of in-progress Guacamole sessions.

SEE ALSO
guaclog(1)